# Class TapLinter

java.lang.Object
uk.ac.starlink.ttools.taplint.TapLinter

public class TapLinter extends Object
Organises validation stages for TAP validator.

Since:
  6 Jun 2011
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MDQ_NAME`
Name of the MDQ stage.

## Constructor Summary

Constructors
Constructor
Description
`TapLinter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Executable`
`createExecutable(OutputReporter reporter, uk.ac.starlink.util.IOSupplier<uk.ac.starlink.vo.TapService> tapServiceSupplier, Set<String> stageCodeSet, int maxTestTables, Predicate<uk.ac.starlink.vo.TableMeta> tableFilter)`
Creates and returns an executable for TAP validation.
`static String[]`
`getAnnouncements(boolean includeCodes)`
Returns a list of startup announcements with which the taplint application introduces itself.
`Map<String,Stage>`
`getKnownStages()`
Returns an ordered map of the validation stages defined by this class.
`boolean`
`isDefault(String code)`
Indicates whether the stage with a given code is run by default or not.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MDQ_NAME

public static final String MDQ_NAME
Name of the MDQ stage.

See Also:
  - Constant Field Values

## Constructor Details

### TapLinter

public TapLinter()
Constructor.

## Method Details

### getKnownStages

public Map<String,Stage> getKnownStages()
Returns an ordered map of the validation stages defined by this class.

Returns:
  ordered code->stage map

### isDefault

public boolean isDefault(String code)
Indicates whether the stage with a given code is run by default or not.

Parameters:
  `code` - stage code
Returns:
  true iff the corresponding stage is run by default

### createExecutable

public uk.ac.starlink.task.Executable createExecutable(OutputReporter reporter, uk.ac.starlink.util.IOSupplier<uk.ac.starlink.vo.TapService> tapServiceSupplier, Set<String> stageCodeSet, int maxTestTables, Predicate<uk.ac.starlink.vo.TableMeta> tableFilter) throws uk.ac.starlink.task.TaskException
Creates and returns an executable for TAP validation.

Parameters:
  `reporter` - validation message destination
  `tapServiceSupplier` - supplier of TAP service description
  `stageCodeSet` - unordered collection of code strings indicating which stages should be run
  `maxTestTables` - limit on the number of tables to test, or <=0 for no limit
  `tableFilter` - filter for tables to receive testing, or null for no restriction
Returns:
  tap validator executable
Throws:
  `uk.ac.starlink.task.TaskException`

### getAnnouncements

public static String[] getAnnouncements(boolean includeCodes)
Returns a list of startup announcements with which the taplint application introduces itself.

Parameters:
  `includeCodes` - if true include a summary of taplint report codes
Returns:
  announcement lines